DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(alert_id) FROM v_alert_definition INTO max_id;
    SELECT last_value FROM seq_alert_definition INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_alert_definition             RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(host_compliance_info_id) FROM host_compliance_info INTO max_id;
    SELECT last_value FROM seq_host_compliance_info INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_host_compliance_info         RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(id) FROM (
           SELECT max(registered_vcenter_id) AS id FROM registered_vcenter
           UNION ALL
           SELECT max(user_role_id) AS id FROM user_role
           UNION ALL
           SELECT max(vcenter_role_id) AS id FROM vcenter_role
           UNION ALL
           SELECT max(vcenter_user_id) AS id FROM vcenter_user
    ) AS subquery INTO max_id;
    SELECT last_value FROM seq_log INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_log                          RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(registered_vrops_id) FROM registered_vrops INTO max_id;
    SELECT last_value FROM seq_registered_vrops INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_registered_vrops             RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(snmp_event_id) FROM snmp_event INTO max_id;
    SELECT last_value FROM seq_snmp_event INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_snmp_event                   RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
DO $$
DECLARE
    max_id integer;
    last_val integer;
BEGIN
    SELECT max(vrops_user_id) FROM vrops_user INTO max_id;
    SELECT last_value FROM seq_vrops_user INTO last_val;
    IF max_id > last_val THEN
        EXECUTE 'ALTER SEQUENCE seq_vrops_user                   RESTART with '|| (max_id + 1);
    END IF;
END;
$$
LANGUAGE 'plpgsql';
